"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CookieTag = void 0;
const Cookie_js_1 = require("../util/Cookie.js");
const TagSupport_js_1 = require("../util/TagSupport.js");
/**
 * <bean:cookie>
 *
 * Define a scripting variable based on the value(s) of the specified cookie
 * received with this request.
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/bean/CookieTag.java
 */
class CookieTag extends TagSupport_js_1.TagSupport {
    render() {
        const { id, multiple, name, value } = this.attr;
        const cookies = this.getRequest().getCookies() ?? [];
        const values = cookies.filter(v => (v.getName() === name));
        if (values.length < 1 && value) {
            values.push(new Cookie_js_1.Cookie(name, value));
        }
        if (values.length < 1) {
            throw new Error(`No cookie ${name} was included in this request`);
        }
        this.context[id] = multiple ? values : values[0];
    }
}
exports.CookieTag = CookieTag;
