"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FrameTag = void 0;
const StringBuffer_js_1 = require("../util/StringBuffer.js");
const BaseHandlerTag_js_1 = require("./BaseHandlerTag.js");
const LinkTag_js_1 = require("./LinkTag.js");
/**
 * <html:frame>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/FrameTag.java
 */
class FrameTag extends LinkTag_js_1.LinkTag {
    render() {
        const { attr } = this;
        // Print this element to our output writer
        const results = new StringBuffer_js_1.StringBuffer("<frame");
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "src", this.calculateURL());
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "name", attr.name);
        if (attr.noresize) {
            results.append(" noresize=\"noresize\"");
        }
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "scrolling", attr.scrolling);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "marginheight", attr.marginheight);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "marginwidth", attr.marginwidth);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "frameborder", attr.frameborder);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "longdesc", attr.longdesc);
        results.append(this.prepareStyles());
        this.prepareOtherAttributes(results);
        results.append(this.getElementClose());
        results.append(this.getBody());
        return results.toString();
    }
}
exports.FrameTag = FrameTag;
