"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlTag = void 0;
const toBoolean_js_1 = require("../internal/toBoolean.js");
const StringBuffer_js_1 = require("../util/StringBuffer.js");
const TagSupport_js_1 = require("../util/TagSupport.js");
/**
 * <html:html>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/HtmlTag.java
 */
class HtmlTag extends TagSupport_js_1.TagSupport {
    render() {
        const start = this.renderHtmlStartElement();
        const body = this.getBody();
        const end = "</html>";
        return this.tag.app.concat(start, body, end);
    }
    renderHtmlStartElement() {
        const sb = new StringBuffer_js_1.StringBuffer("<html");
        let language;
        let country;
        // TODO
        // const currentLocale: Locale = TagUtils.getInstance().getUserLocale(this.context);
        // language = currentLocale.getLanguage();
        // country = currentLocale.getCountry();
        if (language && (0, toBoolean_js_1.toBoolean)(this.attr.lang)) {
            sb.append(" lang=\"");
            sb.append(language);
            if (country) {
                sb.append("-");
                sb.append(country);
            }
            sb.append("\"");
        }
        sb.append(">");
        return sb.toString();
    }
}
exports.HtmlTag = HtmlTag;
