"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageTag = void 0;
const ResponseUtils_js_1 = require("../util/ResponseUtils.js");
const BaseHandlerTag_js_1 = require("./BaseHandlerTag.js");
const SubmitTag_js_1 = require("./SubmitTag.js");
/**
 * <html:image>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/ImageTag.java
 */
class ImageTag extends SubmitTag_js_1.SubmitTag {
    constructor() {
        super(...arguments);
        /**
         * The module-relative URI of the image.
         */
        this.page = null;
    }
    /**
     * Render the opening element.
     */
    getElementOpen() {
        return "<input type=\"image\"";
    }
    /**
     * Render the button attributes
     */
    prepareButtonAttributes(results) {
        const { attr } = this;
        const tmp = this.src();
        if (tmp != null) {
            (0, BaseHandlerTag_js_1.prepareAttribute)(results, "src", ResponseUtils_js_1.ResponseUtils.encodeURL(tmp));
        }
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "align", attr.align);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "border", attr.border);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "value", attr.value);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "accesskey", attr.accesskey);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "tabindex", attr.tabindex);
    }
    /**
     * Return the base source URL that will be rendered in the
     * <code>src</code> property for this generated element, or
     * <code>null</code> if there is no such URL.
     */
    src() {
        // Deal with a direct context-relative page that has been specified
        const { attr } = this;
        if (this.page != null) {
            if ((this.src != null) || (attr.srcKey != null)
                || (attr.pageKey != null)) {
                throw new Error("You must specify exactly one of src, srcKey, page, or pageKey");
            }
            // TODO
        }
        // Deal with an indirect context-relative page that has been specified
        if (attr.pageKey != null) {
            if ((attr.src != null) || (attr.srcKey != null)) {
                throw new Error("imgTag.src"); // TODO
            }
            // TODO
        }
        // Deal with an absolute source that has been specified
        if (attr.src != null) {
            if (attr.srcKey != null) {
                throw new Error("imgTag.src"); // TODO
            }
            return (attr.src);
        }
        // Deal with an indirect source that has been specified
        if (attr.srcKey == null) {
            throw new Error("imgTag.src"); // TODO
        }
        // TODO
        // return TagUtils.getInstance().message(this.context, attr.bundle,
        //     attr.locale, attr.srcKey);
    }
}
exports.ImageTag = ImageTag;
