"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkTag = void 0;
const StringBuffer_js_1 = require("../util/StringBuffer.js");
const BaseHandlerTag_js_1 = require("./BaseHandlerTag.js");
/**
 * <html:link>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/LinkTag.java
 */
class LinkTag extends BaseHandlerTag_js_1.BaseHandlerTag {
    constructor() {
        super(...arguments);
        this.doDisabled = false;
    }
    render() {
        const { attr } = this;
        const results = new StringBuffer_js_1.StringBuffer();
        results.append("<a");
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "name", attr.name);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "href", this.calculateURL());
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "target", attr.target);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "accesskey", attr.accesskey);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "tabindex", attr.tabindex);
        results.append(this.prepareStyles());
        results.append(this.prepareEventHandlers());
        this.prepareOtherAttributes(results);
        results.append(">");
        results.append(this.getBody());
        results.append("</a>");
        return results.toString();
    }
    calculateURL() {
        const { href } = this.attr;
        // TODO
        return href;
    }
}
exports.LinkTag = LinkTag;
