"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextareaTag = void 0;
const StringBuffer_js_1 = require("../util/StringBuffer.js");
const TagUtils_js_1 = require("../util/TagUtils.js");
const BaseHandlerTag_js_1 = require("./BaseHandlerTag.js");
const BaseInputTag_js_1 = require("./BaseInputTag.js");
/**
 * <html:textarea>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/TextareaTag.java
 */
class TextareaTag extends BaseInputTag_js_1.BaseInputTag {
    constructor() {
        super(...arguments);
        this.doReadonly = true;
    }
    render() {
        const results = this.renderTextareaElement();
        return results;
    }
    /**
     * Generate an HTML &lt;textarea&gt; tag.
     */
    renderTextareaElement() {
        const { attr } = this;
        const results = new StringBuffer_js_1.StringBuffer("<textarea");
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "name", attr.property);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "accesskey", attr.accesskey);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "tabindex", attr.tabindex);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "cols", attr.cols);
        (0, BaseHandlerTag_js_1.prepareAttribute)(results, "rows", attr.rows);
        results.append(this.prepareEventHandlers());
        results.append(this.prepareStyles());
        this.prepareOtherAttributes(results);
        results.append(">");
        results.append(this.renderData());
        results.append("</textarea>");
        return results.toString();
    }
    /**
     * Renders the value displayed in the &lt;textarea&gt; tag.
     */
    renderData() {
        const { attr } = this;
        let data = attr.value;
        if (data == null) {
            data = this.lookupProperty(this.name, attr.property);
        }
        return (data == null) ? "" : TagUtils_js_1.TagUtils.getInstance().filter(data);
    }
}
exports.TextareaTag = TextareaTag;
