"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.struts1Impl = void 0;
const CookieTag_js_1 = require("./bean/CookieTag.js");
const DefineTag_js_1 = require("./bean/DefineTag.js");
const HeaderTag_js_1 = require("./bean/HeaderTag.js");
const IncludeTag_js_1 = require("./bean/IncludeTag.js");
const MessageTag_js_1 = require("./bean/MessageTag.js");
const PageTag_js_1 = require("./bean/PageTag.js");
const ParameterTag_js_1 = require("./bean/ParameterTag.js");
const ResourceTag_js_1 = require("./bean/ResourceTag.js");
const SizeTag_js_1 = require("./bean/SizeTag.js");
const StrutsTag_js_1 = require("./bean/StrutsTag.js");
const WriteTag_js_1 = require("./bean/WriteTag.js");
const BaseFieldTag_js_1 = require("./html/BaseFieldTag.js");
const BaseHandlerTag_js_1 = require("./html/BaseHandlerTag.js");
const BaseInputTag_js_1 = require("./html/BaseInputTag.js");
const BaseTag_js_1 = require("./html/BaseTag.js");
const ButtonTag_js_1 = require("./html/ButtonTag.js");
const CancelTag_js_1 = require("./html/CancelTag.js");
const CheckboxTag_js_1 = require("./html/CheckboxTag.js");
const ErrorsTag_js_1 = require("./html/ErrorsTag.js");
const FileTag_js_1 = require("./html/FileTag.js");
const FormTag_js_1 = require("./html/FormTag.js");
const FrameTag_js_1 = require("./html/FrameTag.js");
const HiddenTag_js_1 = require("./html/HiddenTag.js");
const HtmlTag_js_1 = require("./html/HtmlTag.js");
const ImageTag_js_1 = require("./html/ImageTag.js");
const ImgTag_js_1 = require("./html/ImgTag.js");
const JavascriptValidatorTag_js_1 = require("./html/JavascriptValidatorTag.js");
const LabelTag_js_1 = require("./html/LabelTag.js");
const LinkTag_js_1 = require("./html/LinkTag.js");
const MessagesTag_js_1 = require("./html/MessagesTag.js");
const MultiboxTag_js_1 = require("./html/MultiboxTag.js");
const OptionsCollectionTag_js_1 = require("./html/OptionsCollectionTag.js");
const OptionsTag_js_1 = require("./html/OptionsTag.js");
const OptionTag_js_1 = require("./html/OptionTag.js");
const ParamTag_js_1 = require("./html/ParamTag.js");
const PasswordTag_js_1 = require("./html/PasswordTag.js");
const RadioTag_js_1 = require("./html/RadioTag.js");
const ResetTag_js_1 = require("./html/ResetTag.js");
const RewriteTag_js_1 = require("./html/RewriteTag.js");
const SelectTag_js_1 = require("./html/SelectTag.js");
const SubmitTag_js_1 = require("./html/SubmitTag.js");
const TextareaTag_js_1 = require("./html/TextareaTag.js");
const TextTag_js_1 = require("./html/TextTag.js");
const XhtmlTag_js_1 = require("./html/XhtmlTag.js");
const CompareTagBase_js_1 = require("./logic/CompareTagBase.js");
const ConditionalTagBase_js_1 = require("./logic/ConditionalTagBase.js");
const EmptyTag_js_1 = require("./logic/EmptyTag.js");
const EqualTag_js_1 = require("./logic/EqualTag.js");
const ForwardTag_js_1 = require("./logic/ForwardTag.js");
const GreaterEqualTag_js_1 = require("./logic/GreaterEqualTag.js");
const GreaterThanTag_js_1 = require("./logic/GreaterThanTag.js");
const IterateTag_js_1 = require("./logic/IterateTag.js");
const LessEqualTag_js_1 = require("./logic/LessEqualTag.js");
const LessThanTag_js_1 = require("./logic/LessThanTag.js");
const MatchTag_js_1 = require("./logic/MatchTag.js");
const MessagesNotPresentTag_js_1 = require("./logic/MessagesNotPresentTag.js");
const MessagesPresentTag_js_1 = require("./logic/MessagesPresentTag.js");
const NotEmptyTag_js_1 = require("./logic/NotEmptyTag.js");
const NotEqualTag_js_1 = require("./logic/NotEqualTag.js");
const NotMatchTag_js_1 = require("./logic/NotMatchTag.js");
const NotPresentTag_js_1 = require("./logic/NotPresentTag.js");
const PresentTag_js_1 = require("./logic/PresentTag.js");
const RedirectTag_js_1 = require("./logic/RedirectTag.js");
const BodyTagSupport_js_1 = require("./util/BodyTagSupport.js");
const StringBuffer_js_1 = require("./util/StringBuffer.js");
const TagSupport_js_1 = require("./util/TagSupport.js");
const TagUtils_js_1 = require("./util/TagUtils.js");
/**
 * @example
 * import {struts1Impl} from "nsp-struts1-taglib/impl";
 *
 * export class MyTag extends struts1Impl.util.TagSupport<any> {
 *     protected attr: { value: string };
 *
 *     render(): string | Promise<string> | void | Promise<void> {
 *         const {value} = this.attr;
 *
 *         return value;
 *     }
 * }
 */
exports.struts1Impl = {
    bean: {
        CookieTag: CookieTag_js_1.CookieTag,
        DefineTag: DefineTag_js_1.DefineTag,
        HeaderTag: HeaderTag_js_1.HeaderTag,
        IncludeTag: IncludeTag_js_1.IncludeTag,
        MessageTag: MessageTag_js_1.MessageTag,
        PageTag: PageTag_js_1.PageTag,
        ParameterTag: ParameterTag_js_1.ParameterTag,
        ResourceTag: ResourceTag_js_1.ResourceTag,
        SizeTag: SizeTag_js_1.SizeTag,
        StrutsTag: StrutsTag_js_1.StrutsTag,
        WriteTag: WriteTag_js_1.WriteTag,
    },
    html: {
        BaseFieldTag: BaseFieldTag_js_1.BaseFieldTag,
        BaseHandlerTag: BaseHandlerTag_js_1.BaseHandlerTag,
        BaseInputTag: BaseInputTag_js_1.BaseInputTag,
        BaseTag: BaseTag_js_1.BaseTag,
        ButtonTag: ButtonTag_js_1.ButtonTag,
        CancelTag: CancelTag_js_1.CancelTag,
        CheckboxTag: CheckboxTag_js_1.CheckboxTag,
        ErrorsTag: ErrorsTag_js_1.ErrorsTag,
        FileTag: FileTag_js_1.FileTag,
        FormTag: FormTag_js_1.FormTag,
        FrameTag: FrameTag_js_1.FrameTag,
        HiddenTag: HiddenTag_js_1.HiddenTag,
        HtmlTag: HtmlTag_js_1.HtmlTag,
        ImageTag: ImageTag_js_1.ImageTag,
        ImgTag: ImgTag_js_1.ImgTag,
        JavascriptValidatorTag: JavascriptValidatorTag_js_1.JavascriptValidatorTag,
        LabelTag: LabelTag_js_1.LabelTag,
        LinkTag: LinkTag_js_1.LinkTag,
        MessagesTag: MessagesTag_js_1.MessagesTag,
        MultiboxTag: MultiboxTag_js_1.MultiboxTag,
        OptionTag: OptionTag_js_1.OptionTag,
        OptionsCollectionTag: OptionsCollectionTag_js_1.OptionsCollectionTag,
        OptionsTag: OptionsTag_js_1.OptionsTag,
        ParamTag: ParamTag_js_1.ParamTag,
        PasswordTag: PasswordTag_js_1.PasswordTag,
        RadioTag: RadioTag_js_1.RadioTag,
        ResetTag: ResetTag_js_1.ResetTag,
        RewriteTag: RewriteTag_js_1.RewriteTag,
        SelectTag: SelectTag_js_1.SelectTag,
        SubmitTag: SubmitTag_js_1.SubmitTag,
        TextTag: TextTag_js_1.TextTag,
        TextareaTag: TextareaTag_js_1.TextareaTag,
        XhtmlTag: XhtmlTag_js_1.XhtmlTag,
    },
    logic: {
        CompareTagBase: CompareTagBase_js_1.CompareTagBase,
        ConditionalTagBase: ConditionalTagBase_js_1.ConditionalTagBase,
        EmptyTag: EmptyTag_js_1.EmptyTag,
        EqualTag: EqualTag_js_1.EqualTag,
        ForwardTag: ForwardTag_js_1.ForwardTag,
        GreaterEqualTag: GreaterEqualTag_js_1.GreaterEqualTag,
        GreaterThanTag: GreaterThanTag_js_1.GreaterThanTag,
        IterateTag: IterateTag_js_1.IterateTag,
        LessEqualTag: LessEqualTag_js_1.LessEqualTag,
        LessThanTag: LessThanTag_js_1.LessThanTag,
        MatchTag: MatchTag_js_1.MatchTag,
        MessagesNotPresentTag: MessagesNotPresentTag_js_1.MessagesNotPresentTag,
        MessagesPresentTag: MessagesPresentTag_js_1.MessagesPresentTag,
        NotEmptyTag: NotEmptyTag_js_1.NotEmptyTag,
        NotEqualTag: NotEqualTag_js_1.NotEqualTag,
        NotMatchTag: NotMatchTag_js_1.NotMatchTag,
        NotPresentTag: NotPresentTag_js_1.NotPresentTag,
        PresentTag: PresentTag_js_1.PresentTag,
        RedirectTag: RedirectTag_js_1.RedirectTag,
    },
    util: {
        BodyTagSupport: BodyTagSupport_js_1.BodyTagSupport,
        StringBuffer: StringBuffer_js_1.StringBuffer,
        TagSupport: TagSupport_js_1.TagSupport,
        TagUtils: TagUtils_js_1.TagUtils,
    },
};
