"use strict";
/**
 * @see https://github.com/kawanet/nsp-server-pages/blob/main/src/concat.ts
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.concat = void 0;
const isPromise = (v) => v && (typeof v.then === "function");
const join = (a, b) => (a == null ? b : (b == null ? a : a + b));
const single = (v) => (Array.isArray(v) ? (0, exports.concat)(v) : v);
const concat = (array) => {
    let result;
    let promise;
    for (let i = 0; i < array.length; i++) {
        let text = single(array[i]);
        if (promise) {
            promise = promise.then(result => {
                if (isPromise(text)) {
                    return text.then(text => join(result, text));
                }
                else {
                    return join(result, text);
                }
            });
        }
        else {
            if (isPromise(text)) {
                // upgrade to async mode
                promise = text.then(text => join(result, text));
            }
            else {
                // sync mode per default
                result = join(result, text);
            }
        }
    }
    return promise || result;
};
exports.concat = concat;
