"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompareTagBase = void 0;
const ConditionalTagBase_js_1 = require("./ConditionalTagBase.js");
class CompareTagBase extends ConditionalTagBase_js_1.ConditionalTagBase {
    condition() {
        return this.compare(this.getLeft(), this.getRight());
    }
    /**
     * helper method to retrieve the left-side variable to compare
     */
    getLeft() {
        const { cookie, header, name, parameter } = this.attr;
        let variable;
        if (cookie) {
            const cookies = this.getRequest().getCookies() ?? [];
            variable = cookies.find(v => v.getName() === cookie)?.getValue();
        }
        else if (header) {
            variable = this.getRequest().getHeader(header);
        }
        else if (name) {
            variable = this.lookup();
        }
        else if (parameter) {
            variable = this.context[parameter];
        }
        if (variable == null) {
            variable = ""; // Coerce null to a zero-length String
        }
        return variable;
    }
    /**
     * helper method to retrieve the right-side value to be compared
     */
    getRight() {
        return this.attr.value ?? "";
    }
}
exports.CompareTagBase = CompareTagBase;
