"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EqualTag = void 0;
const toBoolean_js_1 = require("../internal/toBoolean.js");
const CompareTagBase_js_1 = require("./CompareTagBase.js");
/**
 * <logic:equal>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/EqualTag.java
 */
class EqualTag extends CompareTagBase_js_1.CompareTagBase {
    compare(left, right) {
        if (left == null || left === "") {
            return (right == null || right === "");
        }
        else if (right == null || right === "") {
            return (left == null || left === "");
        }
        if ("boolean" === typeof left) {
            right = (0, toBoolean_js_1.toBoolean)(right);
        }
        else if ("boolean" === typeof right) {
            left = (0, toBoolean_js_1.toBoolean)(left);
        }
        return left == right;
    }
}
exports.EqualTag = EqualTag;
