"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IterateTag = void 0;
const BodyTagSupport_js_1 = require("../util/BodyTagSupport.js");
const StringBuffer_js_1 = require("../util/StringBuffer.js");
const TagUtils_js_1 = require("../util/TagUtils.js");
const isArrayLike = (v) => (!!v && "object" === typeof v && "number" === typeof v.length);
const isEmpty = (v) => (v == null || v === "");
/**
 * <logic:iterate>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/IterateTag.java
 */
class IterateTag extends BodyTagSupport_js_1.BodyTagSupport {
    async render() {
        const { context } = this;
        const { id, indexId, offset, length } = this.attr;
        const array = this.getCollection();
        const start = +offset || 0;
        const end = (!isEmpty(length) ? start + (+length || 0) : array?.length);
        const buffer = new StringBuffer_js_1.StringBuffer();
        for (let i = start; i < end; i++) {
            if (indexId)
                context[indexId] = i;
            if (id)
                context[id] = array[i];
            buffer.append(await this.getBody());
        }
        return buffer.toString();
    }
    getCollection() {
        const { context } = this;
        const { name, property, scope } = this.attr;
        let collection = this.attr.collection;
        if (!collection) {
            collection = TagUtils_js_1.TagUtils.getInstance().lookup(context, name, property, scope);
        }
        if (isArrayLike(collection)) {
            return collection;
        }
        throw new Error(`Invalid collection for name ${name} property ${property}`);
    }
}
exports.IterateTag = IterateTag;
