"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatchTag = void 0;
const ConditionalTagBase_js_1 = require("./ConditionalTagBase.js");
/**
 * <logic:match>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/MatchTag.java
 */
class MatchTag extends ConditionalTagBase_js_1.ConditionalTagBase {
    condition() {
        const { location, value } = this.attr;
        const target = this.lookup();
        if (target == null) {
            throw new Error(`Cannot compare null variable to value ${value}`);
        }
        const variable = ("string" === typeof target) ? target : String(target);
        let matched = false;
        if (!location) {
            matched = variable.includes(value);
        }
        else if (location === "start") {
            matched = variable.startsWith(value);
        }
        else if (location === "end") {
            matched = variable.endsWith(value);
        }
        else {
            throw new Error(`Invalid match location ${location}`);
        }
        return matched;
    }
}
exports.MatchTag = MatchTag;
