"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyUtilsBean = void 0;
const BeanUtilsBean_js_1 = require("./BeanUtilsBean.js");
const isMapLike = (bean) => ("function" === typeof bean.get && bean.get.length > 0);
const getterMethod = (key) => key.replace(/^[a-z]/, v => `get${v.toUpperCase()}`);
const hasGetter = (bean, getter) => ("function" === typeof bean[getter]);
class PropertyUtilsBean {
    static getInstance() {
        return BeanUtilsBean_js_1.BeanUtilsBean.getInstance().getPropertyUtils();
    }
    getProperty(bean, name) {
        const array = String(name).split(/\.|\[(\d+)]/).filter(v => (v != null && v !== ""));
        for (const key of array) {
            if (key === "")
                continue;
            if (bean == null) {
                throw new Error(`Cannot find property: ${name}`);
            }
            if (bean[key] == null) {
                const getter = getterMethod(key);
                if (hasGetter(bean, getter)) {
                    bean = bean[getter]();
                    continue;
                }
                else if (isMapLike(bean)) {
                    bean = bean.get(key);
                    continue;
                }
            }
            bean = bean[key];
        }
        return bean;
    }
    getNestedProperty(bean, name) {
        return this.getProperty(bean, name);
    }
}
exports.PropertyUtilsBean = PropertyUtilsBean;
