"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseUtils = void 0;
const telesy_1 = require("telesy");
class ResponseUtils {
    /**
     * Filter the specified string for characters that are sensitive to HTML
     * interpreters, returning the string with these characters replaced by
     * the corresponding character entities.
     */
    static filter(value) {
        if (value != null) {
            if ("string" !== typeof value) {
                value = String(value);
            }
            return (0, telesy_1.$$)(value);
        }
    }
    /**
     * URLencodes a string assuming the character encoding is UTF-8.
     */
    static encodeURL(value) {
        if (value != null) {
            return encodeURIComponent(value);
        }
    }
}
exports.ResponseUtils = ResponseUtils;
