"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagUtils = void 0;
const PropertyUtils_js_1 = require("./PropertyUtils.js");
const ResponseUtils_js_1 = require("./ResponseUtils.js");
class TagUtils {
    static getInstance() {
        return TagUtils.instance ??= new TagUtils();
    }
    encodeURL(value) {
        return ResponseUtils_js_1.ResponseUtils.encodeURL(value);
    }
    /**
     * Filter the specified string for characters that are senstive to HTML
     * interpreters, returning the string with these characters replaced by
     * the corresponding character entities.
     */
    filter(value) {
        return ResponseUtils_js_1.ResponseUtils.filter(value);
    }
    lookup(context, name, property, scope) {
        let bean = context[name];
        if (arguments.length === 3) {
            scope = property;
            scope; // unused
            property = null;
        }
        if (!property) {
            return bean;
        }
        if (bean == null) {
            throw new Error(`Cannot find bean: ${name}`);
        }
        return PropertyUtils_js_1.PropertyUtils.getProperty(bean, property);
    }
}
exports.TagUtils = TagUtils;
