import type { Struts1Bean } from "../../index.js";
import { TagSupport } from "../util/TagSupport.js";
/**
 * <bean:header>
 *
 * Define a scripting variable based on the value(s) of the specified header
 * received with this request.
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/bean/HeaderTag.java
 *
 * @example
 * app.get("/", (req, res, next) => {
 *     const render = await nsp.load("/WEB-INF/views/index.jsp");
 *
 *     const ctx = {};
 *
 *     // store request object to context before rendering
 *     nsp.store(ctx, "req").set(req);
 *
 *     res.send(await render(ctx));
 * });
 */
export declare class HeaderTag extends TagSupport<Struts1Bean.HeaderTagAttr> {
    protected attr: Struts1Bean.HeaderTagAttr;
    render(): void;
    protected handleMultipleHeaders(): void;
    protected handleSingleHeader(): void;
}
