import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { TagSupport } from "../util/TagSupport.js";
/**
 * <html:form>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/FormTag.java
 */
export declare class FormTag extends TagSupport<Struts1Html.FormTagAttr> {
    protected static lineEnd: string;
    protected attr: Struts1Html.FormTagAttr;
    /**
     * A postback action URL to which this form should be submitted, if any.
     */
    private postbackAction;
    /**
     * The name of the form bean to (create and) use. This is either the same
     * as the 'name' attribute, if that was specified, or is obtained from the
     * associated <code>ActionMapping</code> otherwise.
     */
    protected beanName: string;
    render(): string | Promise<string>;
    /**
     * Render the beginning of this form.
     */
    private _doStartTag;
    /**
     * Render the end of this form.
     */
    private _doEndTag;
    /**
     * Locate or create the bean associated with our form.
     */
    protected initFormBean(): void;
    /**
     * Generates the opening <code>&lt;form&gt;</code> element with
     * appropriate attributes.
     */
    protected renderFormStartElement(): string | Promise<string>;
    /**
     * Renders the name of the form.  If XHTML is set to true, the name will
     * be rendered as an 'id' attribute, otherwise as a 'name' attribute.
     */
    protected renderName(results: StringBuffer): void;
    /**
     * Renders the action attribute
     */
    protected renderAction(results: StringBuffer): void;
    /**
     * 'Hook' to enable this tag to be extended and additional attributes
     * added.
     */
    protected renderOtherAttributes(_: StringBuffer): void;
    /**
     * Generates a hidden input field with token information, if any. The
     * field is added within a div element for HTML 4.01 Strict compliance.
     */
    protected renderToken(): string;
    /**
     * Generates javascript to set the initial focus to the form element given
     * in the tag's "focus" attribute.
     */
    protected renderFocusJavascript(): string | Promise<string>;
    /**
     * Look up values for the <code>name</code>, <code>scope</code>, and
     * <code>type</code> properties if necessary.
     */
    protected lookup(): void;
    protected isXhtml(): boolean;
}
