import type { Struts1Html } from "../../index.js";
import { BodyTagSupport } from "../util/BodyTagSupport.js";
/**
 * <html:option>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/OptionTag.java
 */
export declare class OptionTag extends BodyTagSupport<Struts1Html.OptionTagAttr> {
    protected attr: Struts1Html.OptionTagAttr;
    /**
     * The message text to be displayed to the user for this tag (if any)
     */
    private _text;
    render(): string;
    /**
     * Generate an HTML %lt;option&gt; element.
     */
    protected renderOptionElement(): string | Promise<string>;
    /**
     * Acquire the select tag we are associated with.
     */
    private selectTag;
    /**
     * Return the text specified by the literal value or the message resources
     * key, if any; otherwise return <code>null</code>.
     */
    protected message(literal: string, key: string): string;
    /**
     * Return the text to be displayed to the user for this option (if any).
     */
    protected text(): string;
}
