import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { TagSupport } from "../util/TagSupport.js";
/**
 * <html:options>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/OptionsTag.java
 */
export declare class OptionsTag extends TagSupport<Struts1Html.OptionsTagAttr> {
    protected attr: Struts1Html.OptionsTagAttr;
    render(): string | Promise<string>;
    /**
     * Add an option element to the specified StringBuffer based on the
     * specified parameters. <p> Note that this tag specifically does not
     * support the <code>styleId</code> tag attribute, which causes the HTML
     * <code>id</code> attribute to be emitted.  This is because the HTML
     * specification states that all "id" attributes in a document have to be
     * unique.  This tag will likely generate more than one
     * <code>option</code> element element, but it cannot use the same
     * <code>id</code> value.  It's conceivable some sort of mechanism to
     * supply an array of <code>id</code> values could be devised, but that
     * doesn't seem to be worth the trouble.
     */
    protected addOption(sb: StringBuffer, value: string, label: string, matched: boolean): void;
    /**
     * Return an iterator for the option labels or values, based on our
     * configured properties.
     */
    protected getIterator(name: string, property: string): any[];
}
