import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { BaseHandlerTag } from "./BaseHandlerTag.js";
/**
 * <html:radio>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/RadioTag.java
 */
export declare class RadioTag extends BaseHandlerTag<Struts1Html.RadioTagAttr> {
    protected attr: Struts1Html.RadioTagAttr;
    /**
     * The body content of this tag (if any).
     */
    protected text: string;
    render(): Promise<string>;
    /**
     * Return the String to be used in the radio tag's <code>value</code>
     * attribute that gets sent to the server on form submission.
     */
    private serverValue;
    /**
     * Acquire the current value of the bean specified by the
     * <code>name</code> attribute and the property specified by the
     * <code>property</code> attribute. This radio button with this value will
     * be checked.
     */
    private currentValue;
    /**
     * Renders an HTML &lt;input type="radio"&gt; element.
     */
    protected renderRadioElement(serverValue: string, checkedValue: string): StringBuffer;
}
