import type { Struts1Html } from "../../index.js";
import { BaseHandlerTag } from "./BaseHandlerTag.js";
/**
 * <html:select>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/SelectTag.java
 */
export declare class SelectTag extends BaseHandlerTag<Struts1Html.SelectTagAttr> {
    protected attr: Struts1Html.SelectTagAttr;
    /**
     * The actual values we will match against, calculated in doStartTag().
     */
    protected match: string[];
    /**
     * The saved body content of this tag.
     */
    protected saveBody: string | Promise<string>;
    render(): Promise<string>;
    /**
     * Does the specified value match one of those we are looking for?
     */
    isMatched(value: string): boolean;
    /**
     * Create an appropriate select start element based on our parameters.
     */
    protected renderSelectStartElement(): string | Promise<string>;
    /**
     * Calculate the match values we will actually be using.
     */
    private calculateMatchValues;
}
