import type { Struts1Html } from "../../index.js";
import { StringBuffer } from "../util/StringBuffer.js";
import { BaseHandlerTag } from "./BaseHandlerTag.js";
/**
 * <html:submit>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/html/SubmitTag.java
 */
export declare class SubmitTag extends BaseHandlerTag<Struts1Html.SubmitTagAttr> {
    protected attr: Struts1Html.SubmitTagAttr;
    /**
     * The body content of this tag (if any).
     */
    protected text: string;
    render(): Promise<string>;
    /**
     * Render the opening element.
     */
    protected getElementOpen(): string;
    /**
     * Render the button attributes
     */
    protected prepareButtonAttributes(results: StringBuffer): void;
    /**
     * Render the value element
     */
    protected prepareValue(results: StringBuffer): void;
    /**
     * Return the default value.
     */
    protected getDefaultValue(): string;
}
