import { ConditionalTagBase } from "./ConditionalTagBase.js";
/**
 * <logic:present>
 *
 * @see https://github.com/apache/struts1/blob/trunk/taglib/src/main/java/org/apache/struts/taglib/logic/PresentTag.java
 */
export class PresentTag extends ConditionalTagBase {
    condition() {
        const { name } = this.attr;
        let present = false;
        if (name) {
            present = this.isBeanPresent();
        }
        return present;
    }
    /**
     * Returns true if the bean given in the <code>name</code> attribute is
     * found.
     */
    isBeanPresent() {
        let value;
        try {
            value = this.lookup();
        }
        catch (e) {
            value = null;
        }
        return (value != null);
    }
}
