import { ConvertUtilsBean } from "./ConvertUtilsBean.js";
import { PropertyUtilsBean } from "./PropertyUtilsBean.js";
export class BeanUtilsBean {
    static getInstance() {
        return BeanUtilsBean.instance ??= new BeanUtilsBean();
    }
    getPropertyUtils() {
        return this.propertyUtilsBean ??= new PropertyUtilsBean();
    }
    getConvertUtils() {
        return this.convertUtilsBean ??= new ConvertUtilsBean();
    }
    getArrayProperty(bean, name) {
        const value = this.getPropertyUtils().getProperty(bean, name);
        if (value == null) {
            return null;
        }
        else if (Array.isArray(value)) {
            const values = [];
            for (const item of value) {
                if (item == null) {
                    values.push(null);
                }
                else {
                    values.push(this.getConvertUtils().convert(item));
                }
            }
        }
        else {
            const results = [this.getConvertUtils().convert(value)];
            return results;
        }
    }
    getProperty(bean, name) {
        return this.getNestedProperty(bean, name);
    }
    getNestedProperty(bean, name) {
        const value = this.getPropertyUtils().getNestedProperty(bean, name);
        return this.getConvertUtils().convert(value);
    }
}
