import { PropertyUtils } from "./PropertyUtils.js";
import { ResponseUtils } from "./ResponseUtils.js";
export class TagUtils {
    static getInstance() {
        return TagUtils.instance ??= new TagUtils();
    }
    encodeURL(value) {
        return ResponseUtils.encodeURL(value);
    }
    /**
     * Filter the specified string for characters that are senstive to HTML
     * interpreters, returning the string with these characters replaced by
     * the corresponding character entities.
     */
    filter(value) {
        return ResponseUtils.filter(value);
    }
    lookup(context, name, property, scope) {
        let bean = context[name];
        if (arguments.length === 3) {
            scope = property;
            scope; // unused
            property = null;
        }
        if (!property) {
            return bean;
        }
        if (bean == null) {
            throw new Error(`Cannot find bean: ${name}`);
        }
        return PropertyUtils.getProperty(bean, property);
    }
}
